MODULE obstructions

#ifdef key_obstructions
   !&E==========================================================================
   !&E                   ***  MODULE  obstructions  ***
   !&E
   !&E
   !&E ** Purpose : concerns all subroutines related to obstructions interactions
   !&E    with hydrodynamics
   !&E
   !&E ** Description :
   !&E     
   !&E     subroutine obst_alloc_nbvar        ! Allocates variables depending on
   !&E                                        ! number of obstructions variables
   !&E
   !&E     subroutine obst_alloc_xyz          ! Allocates spatial tables for obstructions
   !&E
   !&E     subroutine obst_dealloc            ! Deallocates variables for obstructions
   !&E
   !&E     subroutine obst_readvar            ! Read the file (variables_obstructions.dat)
   !&E                                        ! for initialization
   !&E
   !&E     subroutine obst_write_summary      ! Perform some checks and write a summary 
   !&E                                        ! of obstructions variables
   !&E
   !&E     subroutine obst_init               ! Defines obstructions parameters
   !&E                                        ! for hydrodynamics
   !&E
   !&E     subroutine obst_update             ! Updates general/time-varying obstructions
   !&E                                        ! characteristics
   !&E
   !&E     subroutine obst_comp_abdelposture  ! Computes obstructions posture following
   !&E                                        ! Abdelhrman 2007
   !&E
   !&E     subroutine obst_comp_height        ! Computes the height of obstructions in 
   !&E                                        ! case of flexible or zostera noltii
   !&E
   !&E     subroutine obst_comp_diam          ! Computes appearent diameter in case of 
   !&E                                        ! flexible or zostera noltii
   !&E
   !&E     subroutine obst_comp_distrib       ! Computes the vertical distribution of 
   !&E                                        ! obstructions in case of non-homogene 
   !&E                                        ! distribution with flexible or zostera 
   !&E                                        ! noltii obstructions
   !&E
   !&E     subroutine obst_comp_hydroparam    ! Computes parameters used in momentum 
   !&E                                        ! (dyn3dxtls_coef.F90) and k-e corrections and
   !&E                                        ! parameters used in momentum 
   !&E                                        ! (dyn2dxtls_coef.F90) and roughness
   !&E                                        ! length z0 corrections
   !&E
   !&E     subroutine obst_comp_roughness     ! Computes the effective roughness length for
   !&E                                        ! the computation of bottom shear stress
   !&E
   !&E     subroutine obst_comp_botstress     ! Computes the bottom shear stress
   !&E
   !&E     subroutine obst_readfile_char      ! Reads input files (time-series) for 
   !&E                                        ! obstructions characteristics
   !&E
   !&E     subroutine obst_readfile_pos       ! Reads input file for obstruction position
   !&E                                        ! within the domain
   !&E
   !&E     subroutine obst_readfile_distri    ! Read input file for obstructions vertical
   !&E                                        ! distribution (normalized in height and density)
   !&E
   !&E ** History :
   !&E     ! 2011-03 (F. Ganthy) Original code
   !&E     ! 2012-04 (F. Ganthy) Adaptation for different kinds of obstructions 
   !&E                           and simplification for an easier use
   !&E     ! 2014-02 (F. Ganthy) Add subroutine obst_write_summary
   !&E     ! 2014-02 (F. Ganthy) Update for Ionc library netcdf 4
   !&E     ! 2014-02 (F. Ganthy) Add the computation of bottom shear stress
   !&E     ! 2014-08 (F. Ganthy) Some modifications, cleaning, debugging and armoring
   !&E     ! 2014-10 (F. Ganthy) More modifications + computation of obstructions
   !&E                           posture following Abdelrhman 2007
   !&E     ! 2015-09 (F. Ganthy) Some fixes
   !&E
   !&E==========================================================================

print "Please contact florian ganthy at ifremer"


   !!==========================================================================================================

#endif
END MODULE obstructions
